/****************************************************************************

    game.h
    gameplay stuff

    DoubleDash game
      
    Copyright (C) 2003  Michal Benes
  
    DoubleDash is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.
  
    This code is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.
  
    You should have received a copy of the GNU Lesser General Public
    License along with this code; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
                                                                               
*****************************************************************************/

#ifndef __GAME_H
#define __GAME_H


#define MAP_BARRIER    0
#define MAP_FREE       1
#define MAP_DIRT       2
#define MAP_WALL       3
#define MAP_DIAMOND    4
#define MAP_BOULDER    5
#define MAP_ENTRY      6
#define MAP_EXIT       7
#define MAP_BUTTERFLY  8
#define MAP_FIREFLY    9
#define MAP_PLAYER     10
#define MAP_FALLING_DIAMOND   11
#define MAP_DIAMOND_EXPLOSION 12
#define MAP_FREE_EXPLOSION    13
#define MAP_FALLING_BOULDER   14
#define MAP_EGG               15




/*
  Start a new game
 */
void game_start( void );


/*
  Set the number of players
 */
void game_set_players_num( int n );


/*
  Get map dimensions
*/
void game_get_map_dimen( int *mapw, int *maph );


/*
  Get map title
*/
int game_get_map_title( int x, int y );


/*
  Get level diamonds number to get
*/
int game_get_level_diamonds( void );



#endif /* __GAME_H */


