/****************************************************************************

    menu.c
    main menu

    DoubleDash game
      
    Copyright (C) 2003  Michal Benes
  
    DoubleDash is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.
  
    This code is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.
  
    You should have received a copy of the GNU Lesser General Public
    License along with this code; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
                                                                               
*****************************************************************************/


#include "doubledash.h"
#include "game.h"
#include "menu.h"
#include "sdl.h"
#include "text.h"
#include <stdlib.h>
#include <string.h>



int menu_players_num=2;

#define MENU_NUM_LINES 3

/*
  Show menu
 */

void menu_show(void)
{
  int key;
  int line;
  int i, y, set;
  char linetext[80];
  Sdl_Sprite *background;

  background=sdl_sprite_load( "background.png", 1, 1 );
  line=1;

  sdl_reset_keyboard();

  while(1)
    {
      sdl_sprite_draw( background, 0, 0, 0 );

      for( i=0; i<MENU_NUM_LINES; ++i )
	{
	  set=1;
	  if(i==line) set=2;
	  
	  y=260+i*40;
	  if( i==MENU_NUM_LINES-1 ) y+=40;

	  if( i==0 )
	    {
	      if( menu_players_num==1 )
		sprintf( linetext, "1 PLAYER" ); 
	      else
		sprintf( linetext, "%d PLAYERS", menu_players_num ); 
	    }

	  if( i==1 )
	    sprintf( linetext, "START" ); 
	  
	  if( i==2 )
	    sprintf( linetext, "EXIT" ); 
	  
	  text_write( linetext, SCREEN_WIDTH/2, y, set, 0 );

	}

      sdl_flip();
      key=sdl_get_key();

      if( key==KEY_UP ) line=(line+MENU_NUM_LINES-1)%MENU_NUM_LINES;
      if( key==KEY_DOWN ) line=(line+1)%MENU_NUM_LINES;
      
      if( line==0 && ( key==KEY_ENTER || key==KEY_RIGHT ) )
	{
	  menu_players_num=menu_players_num%4+1;	  
	  game_set_players_num( menu_players_num );
	}
      if( line==0 && key==KEY_LEFT )
	{
	  menu_players_num=(menu_players_num+2)%4+1;
	  game_set_players_num( menu_players_num );
	}

      if( line==1 && key==KEY_ENTER ) break;
      if( line==MENU_NUM_LINES-1 && key==KEY_ENTER ) exit(0);      
      if( sdl_esc_pressed() ) exit(0);      
    }

  sdl_sprite_free( background );

}




