/****************************************************************************

    text.c
    Text display

    DoubleDash game
      
    Copyright (C) 2003  Michal Benes
  
    DoubleDash is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.
  
    This code is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.
  
    You should have received a copy of the GNU Lesser General Public
    License along with this code; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
                                                                               
*****************************************************************************/


#include "doubledash.h"
#include "text.h"
#include "sdl.h"
#include <string.h>

Sdl_Sprite *text_font=NULL;


/*
  Write a text
 */
void text_write( char *text, int x, int y, int set, int align )
{
  int i;
  int c;
  int width, xoffset=0;
  int len;

  if( !text_font )
    text_font = sdl_sprite_load( "RocksFont.pcx", 16, 20 );

  set=set%5+5;
  set=set%5;
  set*=4*16;
  width=text_font->image[0]->w;

  len=strlen( text );
  if( align<0  ) xoffset=-len*width;
  if( align==0 ) xoffset=-len*width/2;
  if( align>0  ) xoffset=0;

  for( i=0; text[i]; ++i )
    {
      c=text[i];
      if( c<0x20 || c>=0x60 ) c=0x20;
      c-=0x20;
      sdl_sprite_draw( text_font, x+xoffset+i*width, y, c+set );
    }

}

